Multivariate Pattern Analysis in Python

# mvpa2.mappers.boxcar.BoxcarMapper

class `mvpa2.mappers.boxcar.``BoxcarMapper`(startpoints, boxlength, offset=0, **kwargs)

  Mapper to combine multiple samples into a single sample.

  Notes

  This mapper is somewhat unconventional since it doesn’t preserve number of samples (ie the size of 0-th dimension).

  Available conditional attributes:

  - `calling_time+`: None
  - `raw_results`: None
  - `trained_dataset`: None
  - `trained_nsamples+`: None
  - `trained_targets+`: None
  - `training_time+`: None

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `forward1`(data) |
  `reverse1`(data) |

  Parameters:

  startpoints : sequence

  > Index values along the first axis of ‘data’.

  boxlength : int

  > The number of elements after ‘startpoint’ along the first axis of ‘data’ to be considered for the boxcar.

  offset : int

  > The offset between the provided starting point and the actual start of the boxcar.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  auto_train : bool

  > Flag whether the learner will automatically train itself on the input dataset when called untrained.

  force_train : bool

  > Flag whether the learner will enforce training on the input dataset upon every call.

  space : str, optional

  > Name of the ‘processing space’. The actual meaning of this argument heavily depends on the sub-class implementation. In general, this is a trigger that tells the node to compute and store information about the input data that is “interesting” in the context of the corresponding processing in the output dataset.

  pass_attr : str, list of str|tuple, optional

  > Additional attributes to pass on to an output dataset. Attributes can be taken from all three attribute collections of an input dataset (sa, fa, a – see `Dataset.get_attr()`), or from the collection of conditional attributes (ca) of a node instance. Corresponding collection name prefixes should be used to identify attributes, e.g. ‘ca.null_prob’ for the conditional attribute ‘null_prob’, or ‘fa.stats’ for the feature attribute stats. In addition to a plain attribute identifier it is possible to use a tuple to trigger more complex operations. The first tuple element is the attribute identifier, as described before. The second element is the name of the target attribute collection (sa, fa, or a). The third element is the axis number of a multidimensional array that shall be swapped with the current first axis. The fourth element is a new name that shall be used for an attribute in the output dataset. Example: (‘ca.null_prob’, ‘fa’, 1, ‘pvalues’) will take the conditional attribute ‘null_prob’ and store it as a feature attribute ‘pvalues’, while swapping the first and second axes. Simplified instructions can be given by leaving out consecutive tuple elements starting from the end.

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `forward1`(data) |
  `reverse1`(data) |

  `forward1`(data)
  `reverse1`(data)